Main Page Widgets Namespaces Book

# general.h File Reference

## Namespaces

namespace | Gdk
namespace | Gdk::Cairo

## Functions

void | Gdk::flush ()
void | Gdk::Cairo::rectangle (::Cairo::RefPtr<::Cairo::Context>& context, const Gdk::Rectangle& rectangle)
| Adds the given rectangle to the current path of the context.
void | Gdk::Cairo::region (::Cairo::RefPtr<::Cairo::Context>& context, const Gdk::Region& region)
| Adds the given region to the current path of the context.
int | Gdk::screen_height ()
int | Gdk::screen_height_mm ()
int | Gdk::screen_width ()
int | Gdk::screen_width_mm ()
void | Gdk::Cairo::set_source_color (::Cairo::RefPtr<::Cairo::Context>& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context.
void | Gdk::Cairo::set_source_pixbuf (::Cairo::RefPtr<::Cairo::Context>& context, const Glib::RefPtr<Gdk::Pixbuf>& pixbuf, double pixbuf_x, double pixbuf_y)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | Gdk::Cairo::set_source_pixmap (::Cairo::RefPtr<::Cairo::Context>& context, const Glib::RefPtr<Gdk::Pixmap>& pixmap, double pixmap_x, double pixmap_y)
| Sets the given pixbuf as the source pattern for the Cairo context.